﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
///CartItem 表示商品业务实体类
/// </summary>
[Serializable]
public class CartItem
{
    private int _ID;
    private String _Name;
    private decimal _Price;
    private int _Quantity = 1;

    public int ID { get { return _ID; } }
    public String Name {
        get { return _Name; }
    }
    public decimal Price {
        get {
            return _Price;
        }
    }
    public int Quantity {
        get { return _Quantity; }
        set{
            _Quantity = value;
        }
    }
    public CartItem(int id,String name, decimal price) {
        _ID = id;
        _Name = name;
        _Price = price;
    }
}
